# Retrieve a Financial Activity to Account Mapping

`GET /lokta-lms/api/v1/financialactivityaccounts/{mappingId}`

Returns one financial activity to ledger account mapping.

Example Requests:
financialactivityaccounts/1

## Parameters
- `mappingId` (path, integer, required): mappingId

## Responses
- `200`: OK

## Response fields
- `financialActivityData` (FinancialActivityData)
- `glAccountData` (GLAccountData)
- `id` (integer)

## Example request (cURL)
```bash
curl -X GET \
  'https://default.lokta.tech/lokta-lms/api/v1/financialactivityaccounts/{mappingId}' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default'
```

## Example response
```json
{
  "financialActivityData": {
    "id": 1,
    "mappedGLAccountType": "ASSET",
    "name": "string"
  },
  "glAccountData": {
    "accountTypeOptions": [],
    "allowedAssetsTagOptions": [],
    "allowedEquityTagOptions": [],
    "allowedExpensesTagOptions": []
  },
  "id": 1
}
```

Interactive: https://developer.lokta.ai/reference#operation/retreive
